<style>
.tooltip-block{
	position: relative;
	margin-right:10px;
}
.tooltip-block:hover .tooltiptext-block{
	display: block !important;
}
.tooltiptext-block{
	position: absolute;
	bottom: 100%;
	left: 80%;
	transform: translateX(-80%);
	width: 180px;
	background-color: #555;
	color: #fff!important;
	text-align: center;
	padding: 5px;
	border-radius: 6px;
	display: none;
}
</style>
<div class="row gy-5 g-xl-8">
    <div class="col-xl-12">
        <div class="card position-relative">
            <div class="card-body">
                <div class="position-relative z-index-1 global-block">
                    <div class="info">
                        <h2>Ваш сайт способен на большее!</h2>
                        <p class="font-size-1-15 text-gray-600">Мы регулярно
                            разрабатываем
                            новые модули для расширения функционала и
                            повышения эффективности сайтов наших клиентов.
                            <a href="/miwix/Shop/" target="_blank">Смотреть список модулей </a>
                        </p>
                    </div>
                </div>
                <svg class="editorial" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 24 150 28" preserveAspectRatio="none">
                    <defs>
                        <path id="gentle-wave" d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z"/>
                    </defs>
                    <g class="parallax">
                        <use xlink:href="#gentle-wave" x="50" y="0" fill="#F7F8FA"/>
                        <use xlink:href="#gentle-wave" x="50" y="3" fill="#e8e9eb"/>
                        <use xlink:href="#gentle-wave" x="50" y="6" fill="#ebeff5"/>
                    </g>
                </svg>
            </div>
        </div>
    </div>
</div>
<div class="row gy-5 g-xl-8 mt-0">
	<div class="col-xl-4">
        <div class="card">
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label fw-bolder fs-3 mb-1"> Сводка</span>
                </h3>
            </div>
            <div class="card-body">
                <div class="m-core-out notic bg-light-warning rounded border-warning border border-dashed p-6" style="">
					<strong>Внимание!</strong> В целях безопасности путь к панели администратора должен быть у ограниченного круга лиц!
				</div>
				<div class="m-core-out mt-2 text-gray-700" style="background-color: #f0f0f0;border-radius: 2px;padding: 15px;">
					<strong>Файл </strong> <a href="/robots.txt" target="_blank">robots.txt</a>&nbsp;
						<a href="/miwix/c-file-edit?file=/robots.txt" title="Редактировать" style="float:right" target="_blank">
						<span class="svg-icon svg-icon-2">
							<svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none">
								<path opacity="0.3" d="M21.4 8.35303L19.241 10.511L13.485 4.755L15.643 2.59595C16.0248 2.21423 16.5426 1.99988 17.0825 1.99988C17.6224 1.99988 18.1402 2.21423 18.522 2.59595L21.4 5.474C21.7817 5.85581 21.9962 6.37355 21.9962 6.91345C21.9962 7.45335 21.7817 7.97122 21.4 8.35303ZM3.68699 21.932L9.88699 19.865L4.13099 14.109L2.06399 20.309C1.98815 20.5354 1.97703 20.7787 2.03189 21.0111C2.08674 21.2436 2.2054 21.4561 2.37449 21.6248C2.54359 21.7934 2.75641 21.9115 2.989 21.9658C3.22158 22.0201 3.4647 22.0084 3.69099 21.932H3.68699Z" fill="black"></path>
								<path d="M5.574 21.3L3.692 21.928C3.46591 22.0032 3.22334 22.0141 2.99144 21.9594C2.75954 21.9046 2.54744 21.7864 2.3789 21.6179C2.21036 21.4495 2.09202 21.2375 2.03711 21.0056C1.9822 20.7737 1.99289 20.5312 2.06799 20.3051L2.696 18.422L5.574 21.3ZM4.13499 14.105L9.891 19.861L19.245 10.507L13.489 4.75098L4.13499 14.105Z" fill="black"></path>
							</svg>
						</span>
					</a>
				</div>
				<div class="m-core-out mt-2 text-gray-700" style="background-color: #f0f0f0;border-radius: 2px;padding: 15px;">
					<strong>Файл </strong> <a href="/sitemap.xml" target="_blank">sitemap.xml</a>
				</div>
				<a class="btn btn-light btn-active-light-primary me-2 w-100 mt-2" onclick="clearFullCash()">Очистить кэш у всех</a>
			</div>
        </div>
    </div>

	<div class="col-xl-8">
        <div class="card">
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label fw-bolder fs-3 mb-1">Полезная информация</span>
                </h3>
				<label class="news-subscribe form-check form-switch form-check-custom form-check-solid">
					<span class="pr-2">Уведомления</span>
					<div class="q tooltip-block" title="">
                        <svg class="Layer_11" style="cursor: pointer;" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="16" height="16" viewBox="0 0 16 16">
                            <path fill="#646c9a" d="M9 10h-2c0-2 1.2-2.6 2-3 0.3-0.1 0.5-0.2 0.7-0.4 0.1-0.1 0.3-0.3 0.1-0.7-0.2-0.5-0.8-1-1.7-1-1.4 0-1.6 1.2-1.7 1.5l-2-0.3c0.1-1.1 1-3.2 3.6-3.2 1.6 0 3 0.9 3.6 2.2 0.4 1.1 0.2 2.2-0.6 3-0.4 0.4-0.8 0.6-1.2 0.7-0.6 0.4-0.8 0.2-0.8 1.2z"></path>
                            <path fill="#646c9a" d="M8 1c3.9 0 7 3.1 7 7s-3.1 7-7 7-7-3.1-7-7 3.1-7 7-7zM8 0c-4.4 0-8 3.6-8 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8v0z"></path>
                            <path fill="#646c9a" d="M6.9 11h2v2h-2v-2z"></path>
                        </svg>
                        <span class="tooltiptext-block">Информация про обновления, новые модули, новый функционал будет приходить вам на почту указанную в настройках</span>
                    </div>
					<input id="Subscribe" class="form-check-input" type="checkbox" value="1" onchange="subscribe()"<?=((\g::settings('subscribe') == 1) ? ' checked':'');?>>
				</label>
            </div>
            <div class="card-body pt-0">
				<?php $id = rand(1, 999); ?>
				<style>
					.news-subscribe span{display:block-inline; color:#777; padding-right:10px;}
					.news_list p {
						padding: 0 !important;
						margin: 0 !important;
					}
					#news_list {position:absolute;margin-top:-200px;height:1px;width:1px;}
				</style>
				<div id="news_list"></div>
				<div class="search">
					<div class="block-input-search mb-5">
						<input type="text" class="input-search-news form-control form-control-solid" name="search" value="" placeholder="Поиск">
						<i class="bi bi-search fs-3 cursor-pointer" style="float:right; transform: translate(0, -50%); margin-top:-20px;margin-right:10px;"></i>
					</div>
					<div class="news_list"></div>
				</div>
			</div>
        </div>
    </div>
</div>
<script type="text/javascript">

    window.clearTimerIdSearch = 0;
    window.addEventListener('DOMContentLoaded', (event) => {
        RacerOn('input', '.input-search-news', (target) => {
            document.querySelectorAll(".news_list").forEach(el => {
                el.innerHTML = `<div class="text-center">
                                    <div class="spinner-border" role="status">
                                        <span class="sr-only">Loading...</span>
                                    </div>
                                </div>`;
                let val = target.value || false;
                clearTimeout(window.clearTimerIdSearch);
                window.clearTimerIdSearch = setTimeout(()=>{
                    window.searchNewsText = val
                    window.getNews(1)
                },600);
            })
        })
    });

    window.getNews = (i) => {
        if (!window.searchNewsText)
            window.searchNewsText = ''
        fetch('https://cdn.miwix.ru/getNews/?page=' + i + '&search=' + window.searchNewsText, {
            method: 'GET',
            headers: {
                'x-miwix-json': 'true'
            }
        }).then(response => response.json())
            .then((l) => {
                let html = ``;
                l.data.forEach(el => {
                    html += `
                    <div class="fs-4 fw-semibold text-info pb-1 px-2" style="color: #7239ea; font-weight: 700; font-size: 14px !important; margin-bottom: -10px;">${el.name}</div>
                    <div class="card card-dashed min-w-175px my-3 p-6 news_list" style="font-size: 12px; color: #575757; margin-bottom: 2em; padding-bottom: -1rem;">
                        ${el.content}
                    </div>
               `
                })

                for (let i = 1; i < l.totalPages + 1; i++) {
                    if (i == l.page)
                        html += `<a class="btn btn-primary message-button-info">${i}</a>`
                    else
                        html += `<a class="btn btn-light message-button-info link-go" data-link="${i}">${i}</a>`
                }

                document.querySelectorAll(".news_list").forEach(el => {
                    el.innerHTML = html
                })
                document.querySelectorAll(".link-go").forEach(el => {
                    el.addEventListener('click', () => {
                        window.getNews(el.dataset.link);
						const e1 = document.getElementById('news_list');
						e1.scrollIntoView({behavior: "smooth"});
                    })
                })
            });
    }
    window.getNews(1)
	
    function subscribe() {
        showLoader();
        let data = new FormData();
        let value = (document.querySelector("#Subscribe").checked) ? '1' : '0';
        data.append("value", value);
        fetch('/miwix/settings/subscribe', {
			method: 'POST',
			headers: {
				'x-miwix-json': 'true'
			},
			body: data	
		}).then(response => response.json())
			.then((l) => {
                hideLoader()
                let icon = "warning";
                if (l['res'])
                    icon = "success";
                Swal.fire({
                    text: l['message'],
                    'icon': icon,
                    showConfirmButton: false,
                    timer: 2000
                });
            });
    }
</script>
