<?php


namespace core\event\events;


class ChunkRenderEvent extends \core\event\Event {
  
    
    private $cancelled = false;
    private $content;
    private $filepath;

    public function __construct($content, $path){
        $this->content = $content;
        $this->filepath = $path;
    }
    
    public function getEventName() {
        return "ChunkRender";
    }

    public function getPath(){
        return $this->filepath;
    }

    public function setPath($filepath){
        $this->filepath = $filepath;
    }
    
    public function setContent($content){
        $this->content = $content;
    }

    public function getContent(){
        return $this->content;
    }

    public function setCancelled($bool){
        $this->cancelled = $bool;
    }
    
    public function isCancelled(){
        return $this->cancelled;
    }

}
