<?php


namespace core\event\events;


class ImageAfterUploadEvent extends \core\event\Event {
    
    private $path;
    
    public function __construct($path) {
        $this->path = $path;
    }

    public function getEventName() {
        return "ImageAfterUpload";
    }
    
    public function getPath(){
        return $this->path;
    }

    public function setCancelled($bool){
        $this->cancelled = $bool;
    }
    
    public function isCancelled(){
        return $this->cancelled;
    }
}
