<?php
namespace core\request;

class Get extends \core\Request
{
	public function __construct() {
		if (!empty($_GET)) {
			foreach ($_GET as $key => $value) {
				if (is_array($value)) {
					$this->_stack[$key] = \g::validate()->array($value);
				} else {
					$this->_stack[$key] = \g::validate()->string($value);
				}
			}
		}
	}

	public function sendErrors() {
		if ($this->isErrors()) {
			$message = '';
			foreach ($this->errors as $key => $error) {
				$message .= $error['message']."\n\r";
			}
			return $message;
		}
		return 'Ошибок не найдено';
	}
}
