<?php
namespace core\response;

class Header extends \core\Response
{
	public function sendErrors() {
		if ($this->isErrors()) {
			$message = '';
			foreach ($this->errors as $key => $error) {
				$message .= $error['message']."\n\r";
			}
			return $message;
		}
		return 'Ошибок не найдено';
	}

	public function send() {
		foreach ((array) $this->get() as $k => $v) {
			header($k.': '.$v);
		}
	}
}