<?php
namespace core\response;

if (!defined('THEME')) {
	define('THEME', ROOT.'/templates/');
}
class Html
{
    protected static $_users_dir = THEME;
    protected static $_admin_dir = ROOT.'/miwix-admin/admin/';
    protected static $_module_dir = ROOT.'/modules/';

    public static function run() {
        if (\g::stack()->get('route') && \g::stack()->get('route')['type'] === 'admin') {
            if (isset(\g::stack()->get('route')['action']) && \g::stack()->get('route')['action'] === 'login') {
                $content_path = self::$_admin_dir.'login.php';
            } else {
                $content_path = self::$_admin_dir.'index.php';

                \g::ml()->fire(new \core\event\events\BeforeRenderAdminEvent(),true);
                \core\PreRenderAdmin::getInstans()->runRender($content_path);
                return true;
            }
        } else {
            $content_path = self::$_users_dir.'content/'.\g::response()->data()->get('action').'.php';
        }
        if (file_exists($content_path)) {
            ob_start();
            require $content_path;
            $content = ob_get_clean();
            $event = new \core\event\events\TemplateRenderEvent($content, $content_path);
            \g::ml()->fire($event);
            if($event->isCancelled()){
                return;
            }
            echo $event->getContent();
            return true;
        }

        \g::ml()->fire(new \core\event\events\RedirectEvent());
        return false;
    }
}
