<?php
namespace globals;

class Request
{
	private $_get = null;
	private $_post = null;
	private $_put = null;
	private $_update = null;
	private $_delete = null;
	private $_header = null;
	private $_server = null;
	private $_files = null;

	public function get() {
		if (is_null($this->_get)) {
			$this->_get = new \core\request\Get;
		}
		return $this->_get;
	}

	public function post() {
		if (is_null($this->_post)) {
			$this->_post = new \core\request\Post;
		}
		return $this->_post;
	}

	public function put() {
		if (is_null($this->_put)) {
			$this->_put = new \core\request\Post;
		}
		return $this->_put;
	}

	public function update() {
		if (is_null($this->_update)) {
			$this->_update = new \core\request\Post;
		}
		return $this->_update;
	}

	public function delete() {
		if (is_null($this->_delete)) {
			$this->_delete = new \core\request\Post;
		}
		return $this->_delete;
	}

	public function header() {
		if (is_null($this->_header)) {
			$this->_header = new \core\request\Header;
		}
		return $this->_header;
	}

	public function server() {
		if (is_null($this->_server)) {
			$this->_server = new \core\request\Server;
		}
		return $this->_server;
	}

	public function files() {
		if (is_null($this->_files)) {
			$this->_files = new \core\request\Files;
		}
		return $this->_files;
	}
}
