$('#kt_sign_in_form').submit(function(e) {
    e.preventDefault()
    const formData = new FormData()
    let isEmpty = false;
    $(this).find('input').each(function () {
        if ($(this).val() == '') {
            messageLoginError('Вы не заполнели обязательные поля')
            isEmpty = true
        }
        formData.append(this.name, $(this).val())
    })
    if (isEmpty === false) {
        $.ajax({
            url: '/miwix/login/',
            type: 'POST',
            headers: {
                "x-miwix-json": true,
            },
            data: formData,
            success: function(data) {
                console.log(data)
                if (data.res === true) {
                    document.location.href = data.location;
                } else if (data.res === false) {
                    messageLoginError(data.message);
                }
            },
            error: function(data) {
                messageLoginError('Ошибка отправки запроса. Сервер временно занят, попробуйте через минуту.')
            },
            cache: false,
            contentType: false,
            processData: false
        });
    }
});

function messageLoginError(message) {
    Swal.fire({
        text:"Неверный логин или пароль",
        icon:"error",
        buttonsStyling:!1,
        confirmButtonText:"Закрыть",
        customClass:{confirmButton:"btn btn-primary"}
    });
}