<!DOCTYPE html>
<html lang="ru">
<head>
    <title>MIWIX | Панель администратора</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/><meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
    <link rel="shortcut icon" href="/miwix-admin/admin/assets/logo-2.svg"/>
    <link href="/miwix-admin/admin/assets/css/modal.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600"/>
    <link href="/miwix-admin/admin/assets/plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css"/>
    <link href="/miwix-admin/admin/assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <link href="/miwix-admin/admin/assets/css/style.bundle.css" rel="stylesheet" type="text/css"/>
    <script src="/miwix-admin/admin/assets/js/fetch-loader.js"></script>
    <script src="/miwix-admin/admin/assets/plugins/custom/ckeditor/ckeditor.js"></script>
    <script src="/modules/Files/tpl/miwix_files.js"></script>
    <script src="/miwix-admin/admin/assets/js/drop.js"></script>
    <script src="/modules/DynamicFields/tpl/miwixDynamicFields.js"></script>
    <script type="text/javascript">
		window.miwixModule = `<?=\g::stack()->get('route')['modules']?>`;
	</script>
    <?php \g::tp()->printLinkModCssJs();?>
</head>
<!--end::Head-->
<!--begin::Body-->
<body id="kt_body"
      class="header-fixed header-tablet-and-mobile-fixed toolbar-enabled toolbar-fixed toolbar-tablet-and-mobile-fixed aside-enabled aside-fixed"
      style="--kt-toolbar-height:44px;--kt-toolbar-height-tablet-and-mobile:44px">
<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">
    <!--begin::Page-->
    <div class="page d-flex flex-row flex-column-fluid">
        <!--begin::Aside-->
        <div id="kt_aside" class="aside aside-dark aside-hoverable" data-kt-drawer="true" data-kt-drawer-name="aside"
             data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true"
             data-kt-drawer-width="{default:'200px', '300px': '250px'}" data-kt-drawer-direction="start"
             data-kt-drawer-toggle="#kt_aside_mobile_toggle">
            <!--begin::Brand-->
            <div class="aside-logo flex-column-auto" id="kt_aside_logo">
                <!--begin::Logo-->
                <a href="/miwix/">
                    <img alt="Logo" src="/miwix-admin/admin/assets/logo.svg" class="h-40px logo"/>
                </a>
                <!--end::Logo-->
                <!--begin::Aside toggler-->
                <div id="kt_aside_toggle" class=" btn btn-icon w-auto px-0 btn-active-color-primary aside-toggle"
                     data-kt-toggle="true" data-kt-toggle-state="active" data-kt-toggle-target="body"
                     data-kt-toggle-name="aside-minimize">
                    <!--begin::Svg Icon-->
                    <span class="svg-icon svg-icon-1 rotate-180">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
							<path d="M11.2657 11.4343L15.45 7.25C15.8642 6.83579 15.8642 6.16421 15.45 5.75C15.0358 5.33579 14.3642 5.33579 13.95 5.75L8.40712 11.2929C8.01659 11.6834 8.01659 12.3166 8.40712 12.7071L13.95 18.25C14.3642 18.6642 15.0358 18.6642 15.45 18.25C15.8642 17.8358 15.8642 17.1642 15.45 16.75L11.2657 12.5657C10.9533 12.2533 10.9533 11.7467 11.2657 11.4343Z" fill="black"/>
                        </svg>
                    </span>
                    <!--end::Svg Icon-->
                </div>
                <!--end::Aside togler-->
            </div>
            <!--end::Brand-->
            <!--begin::Aside menu-->
            <div class="aside-menu flex-column-fluid">
                <!--begin::Aside Menu-->
                <div class="hover-scroll-overlay-y" id="kt_aside_menu_wrapper" data-kt-scroll="true"
                     data-kt-scroll-activate="{default: false, lg: true}" data-kt-scroll-height="auto"
                     data-kt-scroll-dependencies="#kt_aside_logo, #kt_aside_footer"
                     data-kt-scroll-wrappers="#kt_aside_menu" data-kt-scroll-offset="0">
                    <!--begin::Menu-->
                    <div class="menu menu-column menu-title-gray-800 menu-state-title-primary menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-500" id="#kt_aside_menu" data-kt-menu="true">
                        <?php
                        $menu = [
                            "none" => []
                        ];
                        $onActive = true;
                        foreach (\ModuleAPI::getMenuStack() as $item) {
                            if  (\core\CheckLogin::is_access_method(lcfirst($item['controller']))){
                                if (empty($item['type_name']))
                                    $menu["none"][] = $item;
                                else {
                                    $menu[$item['type_name']][] = $item;
                                    if (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) {
                                        $menu[$item['type_name']]['active'] = true;
                                        $onActive = false;
                                    }
                                }
                            }
                        }
                        if ($onActive) {
                            $menu['Основные']['active'] = true;
                        }
                        for (reset($menu); $key = key($menu); next($menu)) {
							uasort($menu[$key], 'cmp');
                        }

                        function cmp($a, $b) {
                            return (($a['sort']??0) - ($b['sort']??0));
                        }

                        $test = $menu;

                        $menu = [];

                        $menu['Основные'] =  $test['Основные'];
						if (isset($test['Статистика'])) {
                        $menu['Статистика'] =  $test['Статистика'];
						}
						if (isset($test['Оптимизация'])) {
                        $menu['Оптимизация'] =  $test['Оптимизация'];
						}
                        $menu['Дополнительные'] =  $test['Дополнительные'];
                        $menu['Системные'] =  $test['Системные'];
						if (isset($test['Разработчику'])) {
                        $menu['Разработчику'] =  $test['Разработчику'];
						}
                        $menu['Разработчику']['Стать партнером'] = [
                            'is_active' => true,
                            'name' => 'Стать партнером',
                            'controller' => 'https://web-vdv.ru/info/sotrudnichestvo/',
                            'miwix' => false
                        ];
                        ?>
                        <div class="menu-item">
                            <a href="/miwix/" class="menu-link <?= (\g::stack()->get('route')['modules'] == 'main') ? "active" : ("") ?> " style="font-size: 1.3em;">
								<span class="menu-icon">
									<i class="bi bi-layers fs-3"></i>
								</span>
                                <span class="menu-title">Главная</span>
                            </a>
                        </div>
                        <? foreach ($menu as $key => $list): ?>
                            <?php if ($key == "Дополнительные"): ?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion<?=((isset($list['active'])) ? " here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
											<!--begin::Svg Icon -->
                                            <span class="svg-icon svg-icon-2">
                                                <i class="svg-icon svg-icon-2 bi bi-sliders fs-3"></i>
                                            </span>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a class="menu-link
                                            <?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>"
                                                       href="/miwix/<?= ucfirst($item['controller']) ?>">
												<span class="menu-bullet">
													<span class="bullet bullet-dot"></span>
												</span>
                                                        <span class="menu-title">
                                                    <?= $item['name'] ?>
                                                </span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php elseif($key == "Оптимизация"):?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion<?=((isset($list['active'])) ? " here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
                                            <span class="svg-icon svg-icon-2"><!--begin::Svg Icon--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                    <rect x="0" y="0" width="9" height="9"/>
                                                    <rect fill="#000000" opacity="0.3" x="4" y="4" width="16" height="16" rx="2"/>
                                                    <rect fill="#000000" opacity="0.3" x="9" y="9" width="6" height="6"/>
                                                    <path d="M20,7 L21,7 C21.5522847,7 22,7.44771525 22,8 L22,8 C22,8.55228475 21.5522847,9 21,9 L20,9 L20,7 Z" fill="#000000"/>
                                                    <path d="M20,11 L21,11 C21.5522847,11 22,11.4477153 22,12 L22,12 C22,12.5522847 21.5522847,13 21,13 L20,13 L20,11 Z" fill="#000000"/>
                                                    <path d="M20,15 L21,15 C21.5522847,15 22,15.4477153 22,16 L22,16 C22,16.5522847 21.5522847,17 21,17 L20,17 L20,15 Z" fill="#000000"/>
                                                    <path d="M3,7 L4,7 L4,9 L3,9 C2.44771525,9 2,8.55228475 2,8 L2,8 C2,7.44771525 2.44771525,7 3,7 Z" fill="#000000"/>
                                                    <path d="M3,11 L4,11 L4,13 L3,13 C2.44771525,13 2,12.5522847 2,12 L2,12 C2,11.4477153 2.44771525,11 3,11 Z" fill="#000000"/>
                                                    <path d="M3,15 L4,15 L4,17 L3,17 C2.44771525,17 2,16.5522847 2,16 L2,16 C2,15.4477153 2.44771525,15 3,15 Z" fill="#000000"/>
                                                </g>
                                            </svg><!--end::Svg Icon-->
                                            </span>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a href="/miwix/<?= ucfirst($item['controller']) ?>" class="menu-link
                                            <?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>">
												<span class="menu-bullet">
													<span class="bullet bullet-dot"></span>
												</span>
												<span class="menu-title">
                                                    <?= $item['name'] ?>
                                                </span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php elseif($key == "Статистика"):?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion <?=((isset($list['active'])) ? "here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
                                            <span class="svg-icon svg-icon-2"><!--begin::Svg Icon--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                    <rect x="0" y="0" width="9" height="9"/>
                                                    <rect fill="#000000" opacity="0.3" x="12" y="4" width="3" height="13" rx="1.5"/>
                                                    <rect fill="#000000" opacity="0.3" x="7" y="9" width="3" height="8" rx="1.5"/>
                                                    <path d="M5,19 L20,19 C20.5522847,19 21,19.4477153 21,20 C21,20.5522847 20.5522847,21 20,21 L4,21 C3.44771525,21 3,20.5522847 3,20 L3,4 C3,3.44771525 3.44771525,3 4,3 C4.55228475,3 5,3.44771525 5,4 L5,19 Z" fill="#000000" fill-rule="nonzero"/>
                                                    <rect fill="#000000" opacity="0.3" x="17" y="11" width="3" height="6" rx="1.5"/>
                                                </g>
                                            </svg><!--end::Svg Icon-->
                                            </span>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a href="/miwix/<?= ucfirst($item['controller']) ?>" class="menu-link
													<?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>">
													<span class="menu-bullet">
														<span class="bullet bullet-dot"></span>
													</span>
													<span class="menu-title">
														<?= $item['name'] ?>
													</span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php elseif($key == "Системные"):?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion <?=((isset($list['active'])) ? "here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
                                        <span class="svg-icon svg-icon-2"><!--begin::Svg Icon--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                <rect x="0" y="0" width="9" height="9"/>
                                                <path d="M5,2 L19,2 C20.1045695,2 21,2.8954305 21,4 L21,6 C21,7.1045695 20.1045695,8 19,8 L5,8 C3.8954305,8 3,7.1045695 3,6 L3,4 C3,2.8954305 3.8954305,2 5,2 Z M11,4 C10.4477153,4 10,4.44771525 10,5 C10,5.55228475 10.4477153,6 11,6 L16,6 C16.5522847,6 17,5.55228475 17,5 C17,4.44771525 16.5522847,4 16,4 L11,4 Z M7,6 C7.55228475,6 8,5.55228475 8,5 C8,4.44771525 7.55228475,4 7,4 C6.44771525,4 6,4.44771525 6,5 C6,5.55228475 6.44771525,6 7,6 Z" fill="#000000" opacity="0.3"/>
                                                <path d="M5,9 L19,9 C20.1045695,9 21,9.8954305 21,11 L21,13 C21,14.1045695 20.1045695,15 19,15 L5,15 C3.8954305,15 3,14.1045695 3,13 L3,11 C3,9.8954305 3.8954305,9 5,9 Z M11,11 C10.4477153,11 10,11.4477153 10,12 C10,12.5522847 10.4477153,13 11,13 L16,13 C16.5522847,13 17,12.5522847 17,12 C17,11.4477153 16.5522847,11 16,11 L11,11 Z M7,13 C7.55228475,13 8,12.5522847 8,12 C8,11.4477153 7.55228475,11 7,11 C6.44771525,11 6,11.4477153 6,12 C6,12.5522847 6.44771525,13 7,13 Z" fill="#000000"/>
                                                <path d="M5,16 L19,16 C20.1045695,16 21,16.8954305 21,18 L21,20 C21,21.1045695 20.1045695,22 19,22 L5,22 C3.8954305,22 3,21.1045695 3,20 L3,18 C3,16.8954305 3.8954305,16 5,16 Z M11,18 C10.4477153,18 10,18.4477153 10,19 C10,19.5522847 10.4477153,20 11,20 L16,20 C16.5522847,20 17,19.5522847 17,19 C17,18.4477153 16.5522847,18 16,18 L11,18 Z M7,20 C7.55228475,20 8,19.5522847 8,19 C8,18.4477153 7.55228475,18 7,18 C6.44771525,18 6,18.4477153 6,19 C6,19.5522847 6.44771525,20 7,20 Z" fill="#000000"/>
                                            </g>
                                        </svg><!--end::Svg Icon--></span>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a class="menu-link
                                            <?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>"
                                                       href="/miwix/<?= ucfirst($item['controller']) ?>">
												<span class="menu-bullet">
													<span class="bullet bullet-dot"></span>
												</span>
                                                        <span class="menu-title">
                                                    <?= $item['name'] ?>
                                                </span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div> <?php elseif($key == "Разработчику"):?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion <?=((isset($list['active'])) ? "here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
                                        <span class="svg-icon svg-icon-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                <rect x="0" y="0" width="9" height="9"/>
                                                <path d="M5,8.6862915 L5,5 L8.6862915,5 L11.5857864,2.10050506 L14.4852814,5 L19,5 L19,9.51471863 L21.4852814,12 L19,14.4852814 L19,19 L14.4852814,19 L11.5857864,21.8994949 L8.6862915,19 L5,19 L5,15.3137085 L1.6862915,12 L5,8.6862915 Z M12,15 C13.6568542,15 15,13.6568542 15,12 C15,10.3431458 13.6568542,9 12,9 C10.3431458,9 9,10.3431458 9,12 C9,13.6568542 10.3431458,15 12,15 Z" fill="#000000"/>
                                                </g>
                                            </svg><!--end::Svg Icon-->
                                    </span>
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a class="menu-link
                                            <?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>"
                                                        <?= (isset($item['miwix']) && $item['miwix'] == false) ? 'target="_blank"' : ''?>
                                                       href="<?= (isset($item['miwix']) && $item['miwix'] == false) ? '' : '/miwix/'?><?= ucfirst($item['controller']) ?>">
												<span class="menu-bullet">
													<span class="bullet bullet-dot"></span>
												</span>
                                                        <span class="menu-title">
                                                    <?= $item['name'] ?>
                                                </span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php elseif($key != "none"):?>
                                <div data-kt-menu-trigger="click"
                                     class="menu-item menu-accordion <?=((isset($list['active'])) ? "here show" : "");?>">
									<span style="font-size: 1.3em;" class="menu-link">
										<span class="menu-icon">
											<!--begin::Svg Icon-->
											<span class="svg-icon svg-icon-2">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                     viewBox="0 0 24 24" fill="none">
													<rect x="2" y="2" width="9" height="9" rx="2" fill="black"></rect>
													<rect opacity="0.3" x="13" y="2" width="9" height="9" rx="2"
                                                          fill="black"></rect>
													<rect opacity="0.3" x="13" y="13" width="9" height="9" rx="2"
                                                          fill="black"></rect>
													<rect opacity="0.3" x="2" y="13" width="9" height="9" rx="2"
                                                          fill="black"></rect>
												</svg>
											</span>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-title"><?= $key ?></span>
										<span class="menu-arrow"></span>
									</span>
                                    <div class="menu-sub menu-sub-accordion font-size-1-15">
                                        <?php foreach ($list as $item): ?>
                                            <?php if (isset($item['is_active'])): ?>
                                                <div class="menu-item ">
                                                    <a class="menu-link
                                            <?= (\g::stack()->get('route')['modules'] == ucfirst($item['controller'])) ? "active" : ("") ?>"
                                                    <?= (isset($item['miwix']) && $item['miwix'] == false) ? 'target="_blank"' : ''?>
                                                       href="<?= (isset($item['miwix']) && $item['miwix'] == false) ? '' : '/miwix/'?><?= ucfirst($item['controller']) ?>">
												<span class="menu-bullet">
													<span class="bullet bullet-dot"></span>
												</span>
                                                        <span class="menu-title">
                                                    <?= $item['name'] ?>
                                                </span>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php else: ?>
                                <?php foreach ($list as $item): ?>
                                    <?php if (isset($item['is_active'])): ?>
                                        <div class="menu-item">
                                            <a class="menu-link" href="/miwix/<?= $item['controller'] ?>">
                                                <span class="menu-title"><?= $item['name'] ?></span>
                                            </a>
                                        </div>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </div>
                    <!--end::Menu-->
                </div>
            </div>
            <!--end::Aside menu-->
            <!--begin::Footer-->
            <div class="aside-footer flex-column-auto pt-5 pb-3 px-5" id="kt_aside_footer">
                <a target="_blank" href="https://doc.miwix.ru/" class="btn btn-custom btn-primary w-100">
                    <span class="btn-label">Документация</span>
                </a>
            </div>
            <div class=" text-center aside-footer flex-column-auto  pb-4 px-5" id="kt_aside_footer">
                <a href="https://miwix.ru/" target="_blank" class="text-gray-800 text-hover-primary">MIWIX 3.0</a>
            </div>
            <!--end::Footer-->
        </div>
        <!--end::Aside-->
        <!--begin::Wrapper-->
        <div class="wrapper d-flex flex-column flex-row-fluid" id="kt_wrapper">
            <!--begin::Header-->
            <div id="kt_header" style="" class="header align-items-stretch">
                <!--begin::Container-->
                <div class="container-fluid d-flex align-items-stretch justify-content-between">
                    <!--begin::Aside mobile toggle-->
                    <div class="d-flex align-items-center d-lg-none ms-n3 me-1" title="Show aside menu">
                        <div class="btn btn-icon btn-active-color-white" id="kt_aside_mobile_toggle">
                            <i class="bi bi-list fs-1"></i>
                        </div>
                    </div>
                    <!--end::Aside mobile toggle-->
                    <!--begin::Mobile logo-->
                    <div class="d-flex align-items-center flex-grow-1 flex-lg-grow-0">
                        <a href="/miwix/" class="d-lg-none">
                            <img alt="Logo" src="/miwix-admin/admin/assets/logo-compact.svg" class="h-15px"/>
                        </a>
                    </div>
                    <!--end::Mobile logo-->
                    <!--begin::Wrapper-->
                    <div class="d-flex align-items-stretch justify-content-between flex-lg-grow-1">
                        <!--begin::Navbar-->
                        <div class="d-flex align-items-stretch" id="kt_header_nav">
                            <!--begin::Menu wrapper-->
                            <div class="header-menu align-items-stretch" data-kt-drawer="true"
                                 data-kt-drawer-name="header-menu" data-kt-drawer-activate="{default: true, lg: false}"
                                 data-kt-drawer-overlay="true"
                                 data-kt-drawer-width="{default:'200px', '300px': '250px'}"
                                 data-kt-drawer-direction="end" data-kt-drawer-toggle="#kt_header_menu_mobile_toggle"
                                 data-kt-swapper="true" data-kt-swapper-mode="prepend"
                                 data-kt-swapper-parent="{default: '#kt_body', lg: '#kt_header_nav'}">
                                <!--begin::Menu-->
                            </div>
                            <!--end::Menu-->
                            <!--end::Menu wrapper-->
                        </div>
                        <!--end::Navbar-->	
                        <!--begin::Topbar-->
                        <div class="d-flex align-items-stretch flex-shrink-0">
                            <!--begin::Toolbar wrapper-->
                            <div class="topbar d-flex align-items-stretch flex-shrink-0">
							
								<!--begin::Search-->
								<div class="d-flex align-items-stretch">
									<!--begin::Search-->
									
                                    <div id="kt_header_search_inline" class="d-flex align-items-stretch">
                                        <div class="d-flex align-items-stretch">
                                            <form action="/miwix/AdminSearch/" method="GET"  class="topbar-item px-2">
                                                <input type="text" class="form-control form-control-flush mainsearch" name="q" value="<?=isset($_GET['q']) ? stripslashes(urldecode($_GET['q'])) : ''?>" placeholder="Поиск"/>
												<a onclick="clearSearchForm()" class="clearInputForm" <?=(isset($_GET['q']) && $_GET['q'] != '') ? 'style="display:block;"' : ''?>>
													<span class="svg-icon svg-icon-3"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
													<rect opacity="0.9" x="7.05025" y="15.5356" width="12" height="2" rx="1" transform="rotate(-45 7.05025 15.5356)" fill="currentColor"></rect>
													<rect x="8.46447" y="7.05029" width="12" height="2" rx="1" transform="rotate(45 8.46447 7.05029)" fill="currentColor"></rect>
													</svg></span>
												</a>
                                                <button type="submit">
													<span class="svg-icon-1">
														<svg width="20" height="20" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
														<path d="M21.7 18.9L18.6 15.8C17.9 16.9 16.9 17.9 15.8 18.6L18.9 21.7C19.3 22.1 19.9 22.1 20.3 21.7L21.7 20.3C22.1 19.9 22.1 19.3 21.7 18.9Z" fill="#cccccc"/>
														<path opacity="0.5" d="M11 20C6 20 2 16 2 11C2 6 6 2 11 2C16 2 20 6 20 11C20 16 16 20 11 20ZM11 4C7.1 4 4 7.1 4 11C4 14.9 7.1 18 11 18C14.9 18 18 14.9 18 11C18 7.1 14.9 4 11 4ZM8 11C8 9.3 9.3 8 11 8C11.6 8 12 7.6 12 7C12 6.4 11.6 6 11 6C8.2 6 6 8.2 6 11C6 11.6 6.4 12 7 12C7.6 12 8 11.6 8 11Z" fill="#ffffff"/>
														</svg>
													</span>
												</button>
                                            </form>
                                        </div>
                                    </div>
									<div id="kt_header_search" class="header-search d-flex align-items-stretch" data-kt-search-keypress="true" data-kt-search-min-length="2" data-kt-search-enter="enter" data-kt-search-layout="menu" data-kt-menu-trigger="auto" data-kt-menu-overflow="false" data-kt-menu-permanent="true" data-kt-menu-placement="bottom-end">
										<!--begin::Search toggle-->
										<div class="d-flex align-items-center" data-kt-search-element="toggle" id="kt_header_search_toggle">
											<div class="btn btn-custom btn-icon-muted btn-active-color-primary header_search_button">
												<span class="svg-icon-1">
													<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
													<path d="M21.7 18.9L18.6 15.8C17.9 16.9 16.9 17.9 15.8 18.6L18.9 21.7C19.3 22.1 19.9 22.1 20.3 21.7L21.7 20.3C22.1 19.9 22.1 19.3 21.7 18.9Z" fill="#cccccc"/>
													<path opacity="0.5" d="M11 20C6 20 2 16 2 11C2 6 6 2 11 2C16 2 20 6 20 11C20 16 16 20 11 20ZM11 4C7.1 4 4 7.1 4 11C4 14.9 7.1 18 11 18C14.9 18 18 14.9 18 11C18 7.1 14.9 4 11 4ZM8 11C8 9.3 9.3 8 11 8C11.6 8 12 7.6 12 7C12 6.4 11.6 6 11 6C8.2 6 6 8.2 6 11C6 11.6 6.4 12 7 12C7.6 12 8 11.6 8 11Z" fill="#ffffff"/>
													</svg>
												</span>
											</div>
										</div>
										<!--end::Search toggle-->
										<!--begin::Menu-->
										<div data-kt-search-element="content" class="menu menu-sub menu-sub-dropdown pe-3 ps-3 w-325px w-md-375px">
										<div class="header_search_block mt-3 d-none">
											<!--begin::Wrapper-->
											<div data-kt-search-element="wrapper">
												<!--begin::Form-->
												<form action="/miwix/AdminSearch/" class="w-100 position-relative mb-3">
													<!--begin::Input-->
													<a onclick="clearSearchForm()" class="clearInputForm mob" <?=(isset($_GET['q']) && $_GET['q'] != '') ? 'style="display:block;"' : ''?>>
														<span class="svg-icon svg-icon-3"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
														<rect opacity="0.9" x="7.05025" y="15.5356" width="12" height="2" rx="1" transform="rotate(-45 7.05025 15.5356)" fill="currentColor"></rect>
														<rect x="8.46447" y="7.05029" width="12" height="2" rx="1" transform="rotate(45 8.46447 7.05029)" fill="currentColor"></rect>
														</svg></span>
													</a>
													<input type="text" class="search-input form-control form-control-flush mainsearch" name="q" value="<?=isset($_GET['q']) ? urldecode($_GET['q']) : ''?>" placeholder="Поиск" data-kt-search-element="input" />
													<!--end::Input-->
													<!--begin::Toolbar-->
													<div class="position-absolute top-50 end-0 me-3 translate-middle-y" data-kt-search-element="toolbar">
														<!--begin::Preferences toggle-->
														<button type="submit" class="btn btn-icon w-20px btn-sm me-1" onclick="search()">
															<span class="svg-icon svg-icon-1">
																<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
																<rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546" height="2" rx="1" transform="rotate(45 17.0365 15.1223)" fill="currentColor" />
																<path d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z" fill="currentColor" />
																</svg>
															</span>
														</button>
														<!--end::Preferences toggle-->
													</div>
													<!--end::Toolbar-->
												</form>
												<!--end::Form-->
											</div>
											<!--end::Wrapper-->
										</div>
										</div>
										<!--end::Menu-->
									</div>
									<!--end::Search-->
								</div>
								<!--end::Search-->
							 <div id="kt_header_files" class="d-flex align-items-stretch">
								<a href="/miwix/Files" class="menu-link" title="Файловый менеджер">
								<div class="svg-icon-1">
									<svg width="24" height="24" viewBox="0 0 24 24" fill="#dddddd" xmlns="http://www.w3.org/2000/svg">
										<path d="M10 4H21C21.6 4 22 4.4 22 5V7H10V4Z" fill="#eeeeee"/>
										<path opacity="0.5" d="M10.3 15.3L11 14.6L8.70002 12.3C8.30002 11.9 7.7 11.9 7.3 12.3C6.9 12.7 6.9 13.3 7.3 13.7L10.3 16.7C9.9 16.3 9.9 15.7 10.3 15.3Z" fill="#000000"/>
										<path d="M10.4 3.60001L12 6H21C21.6 6 22 6.4 22 7V19C22 19.6 21.6 20 21 20H3C2.4 20 2 19.6 2 19V4C2 3.4 2.4 3 3 3H9.20001C9.70001 3 10.2 3.20001 10.4 3.60001ZM11.7 16.7L16.7 11.7C17.1 11.3 17.1 10.7 16.7 10.3C16.3 9.89999 15.7 9.89999 15.3 10.3L11 14.6L8.70001 12.3C8.30001 11.9 7.69999 11.9 7.29999 12.3C6.89999 12.7 6.89999 13.3 7.29999 13.7L10.3 16.7C10.5 16.9 10.8 17 11 17C11.2 17 11.5 16.9 11.7 16.7Z" fill="#8f8f96"/>
									</svg>
								</div>
								</a>
							</div>
							<div id="kt_header_notebook" class="d-flex align-items-stretch">
								<div class="svg-icon-1">
									<a href="#" class="menu-link job_list_button" title="Блокнот">
										<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
										<path opacity="0.5" fill-rule="evenodd" clip-rule="evenodd" d="M2 4.63158C2 3.1782 3.1782 2 4.63158 2H13.47C14.0155 2 14.278 2.66919 13.8778 3.04006L12.4556 4.35821C11.9009 4.87228 11.1726 5.15789 10.4163 5.15789H7.1579C6.05333 5.15789 5.15789 6.05333 5.15789 7.1579V16.8421C5.15789 17.9467 6.05333 18.8421 7.1579 18.8421H16.8421C17.9467 18.8421 18.8421 17.9467 18.8421 16.8421V13.7518C18.8421 12.927 19.1817 12.1387 19.7809 11.572L20.9878 10.4308C21.3703 10.0691 22 10.3403 22 10.8668V19.3684C22 20.8218 20.8218 22 19.3684 22H4.63158C3.1782 22 2 20.8218 2 19.3684V4.63158Z" fill="#cccccc"/>
										<path opacity="0.7" d="M10.9256 11.1882C10.5351 10.7977 10.5351 10.1645 10.9256 9.77397L18.0669 2.6327C18.8479 1.85165 20.1143 1.85165 20.8953 2.6327L21.3665 3.10391C22.1476 3.88496 22.1476 5.15129 21.3665 5.93234L14.2252 13.0736C13.8347 13.4641 13.2016 13.4641 12.811 13.0736L10.9256 11.1882Z" fill="#ffffff"/>
										<path d="M8.82343 12.0064L8.08852 14.3348C7.8655 15.0414 8.46151 15.7366 9.19388 15.6242L11.8974 15.2092C12.4642 15.1222 12.6916 14.4278 12.2861 14.0223L9.98595 11.7221C9.61452 11.3507 8.98154 11.5055 8.82343 12.0064Z" fill="#cccccc"/>
										</svg>
									</a>
								</div>
								<div class="job_list_block d-none">
									<div style="width: 100%;" class="d-flex job_list_button_block">
										<a class="btn btn-primary job_item_add_button" style="display: flex; align-items: center; width: 100%;">
											Добавить запись
										</a>
										<input class="form-control form-control-lg form-control-solid search-job-list" placeholder="Поиск" />
									</div>
									<div class="job_list"></div>
                                </div>
							</div>
							<div id="kt_header_help" class="d-flex align-items-stretch">
								<div class="svg-icon-1">
								<a href="#" class="menu-link all-helps" title="Помощь">
									<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
									<rect opacity="0.5" x="2" y="2" width="20" height="20" rx="10" fill="#cccccc"/>
									<path d="M11.276 13.654C11.276 13.2713 11.3367 12.9447 11.458 12.674C11.5887 12.394 11.738 12.1653 11.906 11.988C12.0833 11.8107 12.3167 11.61 12.606 11.386C12.942 11.1247 13.1893 10.896 13.348 10.7C13.5067 10.4947 13.586 10.2427 13.586 9.944C13.586 9.636 13.4833 9.356 13.278 9.104C13.082 8.84267 12.69 8.712 12.102 8.712C11.486 8.712 11.066 8.866 10.842 9.174C10.6273 9.482 10.52 9.82267 10.52 10.196L10.534 10.574H8.826C8.78867 10.3967 8.77 10.2333 8.77 10.084C8.77 9.552 8.90067 9.07133 9.162 8.642C9.42333 8.20333 9.81067 7.858 10.324 7.606C10.8467 7.354 11.4813 7.228 12.228 7.228C13.1987 7.228 13.9687 7.44733 14.538 7.886C15.1073 8.31533 15.392 8.92667 15.392 9.72C15.392 10.168 15.322 10.5507 15.182 10.868C15.042 11.1853 14.874 11.442 14.678 11.638C14.482 11.834 14.2253 12.0533 13.908 12.296C13.544 12.576 13.2733 12.8233 13.096 13.038C12.928 13.2527 12.844 13.528 12.844 13.864V14.326H11.276V13.654ZM11.192 15.222H12.928V17H11.192V15.222Z" fill="#ffffff"/>
									</svg></a>
								</div>
							</div>
							<div id="kt_header_helper" class="d-flex align-items-stretch">
								<div class="svg-icon-1">
								<a href="/miwix/Helper" id="needupdate" class="menu-link" title="Обновления">
									<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
									<path d="M21 13H15V11H21C21.6 11 22 10.6 22 10C22 9.4 21.6 9 21 9H15V3C15 2.4 14.6 2 14 2C13.4 2 13 2.4 13 3V9H11V3C11 2.4 10.6 2 10 2C9.4 2 9 2.4 9 3V9H3C2.4 9 2 9.4 2 10C2 10.6 2.4 11 3 11H9V13H3C2.4 13 2 13.4 2 14C2 14.6 2.4 15 3 15H9V21C9 21.6 9.4 22 10 22C10.6 22 11 21.6 11 21V15H13V21C13 21.6 13.4 22 14 22C14.6 22 15 21.6 15 21V15H21C21.6 15 22 14.6 22 14C22 13.4 21.6 13 21 13Z" fill="#75757c"/>
									<path opacity="1.0" d="M16 17H8C7.4 17 7 16.6 7 16V8C7 7.4 7.4 7 8 7H16C16.6 7 17 7.4 17 8V16C17 16.6 16.6 17 16 17ZM14 10H10V14H14V10Z" fill="#50cd89"/>
									</svg></a>
								</div>
							</div>	
							 <div id="kt_header_site" class="d-flex align-items-stretch">
								<div class="svg-icon-1">
								<a href="/" class="menu-link" title="Открыть сайт" target="_blank">
									<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
									<path opacity="0.5" d="M18.0624 15.3454L13.1624 20.7453C12.5624 21.4453 11.5624 21.4453 10.9624 20.7453L6.06242 15.3454C4.56242 13.6454 3.76242 11.4452 4.06242 8.94525C4.56242 5.34525 7.46242 2.44534 11.0624 2.04534C15.8624 1.54534 19.9624 5.24525 19.9624 9.94525C20.0624 12.0452 19.2624 13.9454 18.0624 15.3454ZM13.0624 10.0453C13.0624 9.44534 12.6624 9.04534 12.0624 9.04534C11.4624 9.04534 11.0624 9.44534 11.0624 10.0453V13.0453H13.0624V10.0453Z" fill="#dddddd"/>
									<path d="M12.6624 5.54531C12.2624 5.24531 11.7624 5.24531 11.4624 5.54531L8.06241 8.04531V12.0453C8.06241 12.6453 8.46241 13.0453 9.06241 13.0453H11.0624V10.0453C11.0624 9.44531 11.4624 9.04531 12.0624 9.04531C12.6624 9.04531 13.0624 9.44531 13.0624 10.0453V13.0453H15.0624C15.6624 13.0453 16.0624 12.6453 16.0624 12.0453V8.04531L12.6624 5.54531Z" fill="#cccccc"/>
									</svg></a>
								</div>
							</div>
							<!--begin::User-->
							<div id="kt_header_user_menu_toggle" class="d-flex align-items-stretch">
								<!--begin::Menu wrapper-->
								<div class="topbar-item cursor-pointer symbol ms-5 symbol-30px symbol-md-35px"
                                         data-kt-menu-trigger="click" data-kt-menu-attach="parent"
                                         data-kt-menu-placement="bottom-end" data-kt-menu-flip="bottom">
                                        <a data-v-f966e54c="" onclick="exitAdminPanel()" href="#" class="exit-is-admin">
                                            <svg data-v-f966e54c="" style="width: 1.8em;height: 1.8em;"
                                                 xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                                                <path data-v-f966e54c="" fill="currentColor"
                                                      d="M497 273L329 441c-15 15-41 4.5-41-17v-96H152c-13.3 0-24-10.7-24-24v-96c0-13.3 10.7-24 24-24h136V88c0-21.4 25.9-32 41-17l168 168c9.3 9.4 9.3 24.6 0 34zM192 436v-40c0-6.6-5.4-12-12-12H96c-17.7 0-32-14.3-32-32V160c0-17.7 14.3-32 32-32h84c6.6 0 12-5.4 12-12V76c0-6.6-5.4-12-12-12H96c-53 0-96 43-96 96v192c0 53 43 96 96 96h84c6.6 0 12-5.4 12-12z"></path>
                                            </svg>
                                        </a>
                                    </div>
                                    <!--end::Menu wrapper-->
                                </div>
                                <!--end::User -->
								
                                <!--end::Heaeder menu toggle-->
                            </div>
                            <!--end::Toolbar wrapper-->
                        </div>
                        <!--end::Topbar-->
                    </div>
                    <!--end::Wrapper-->
                </div>
                <!--end::Container-->
            </div>
            <!--end::Header-->
            <!--begin::Content-->
            <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
                <!--begin::Toolbar-->
                <div class="toolbar" id="kt_toolbar">
                    <!--begin::Container-->
                    <div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
                        <!--begin::Page title-->
                        <div data-kt-swapper-mode="prepend"
                             data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}"
                             class="page-title d-flex flex-column justify-content-center flex-wrap me-3 mb-4 mb-lg-0">
                            <!--begin::Title-->
                            <h1 class="d-flex align-items-center text-dark fw-bolder fs-3 my-1">
                                {% title %} <div class="text-gray-500 mod_name_title">{% title_module %}</div>
                            </h1>
                            <div class="module-description description-hide">
                                {% description_module %}
                            </div>
                            <!--end::Title-->
                        </div>
                        <?php if(\g::stack()->get('route')['modules'] != 'main') :?>
                        <div class="d-flex gap-5 align-items-center">
                            <span class="svg-icon fill svg-icon-3 permanent open_description cursor-pointer">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="#009EF7">
                                    <path d="M12.6343 12.5657L8.45001 16.75C8.0358 17.1642 8.0358 17.8358 8.45001 18.25C8.86423 18.6642 9.5358 18.6642 9.95001 18.25L15.4929 12.7071C15.8834 12.3166 15.8834 11.6834 15.4929 11.2929L9.95001 5.75C9.5358 5.33579 8.86423 5.33579 8.45001 5.75C8.0358 6.16421 8.0358 6.83579 8.45001 7.25L12.6343 11.4343C12.9467 11.7467 12.9467 12.2533 12.6343 12.5657Z" fill="#009EF7"></path>
                                </svg>
                            </span>
                            {% settings %}
                        </div>
                        <?php endif; ?>

                    </div>
                    <!--end::Container-->
                </div>
                <!--end::Toolbar-->
                <!--begin::Post-->
                <div class="post d-flex flex-column-fluid position-relative" id="kt_post">
                    <!--begin::Container-->
                    <div id="kt_content_container" class="container-fluid">
                        <div class="preloader hide">
                            <div class="preloader__row">
                                <div class="preloader__item" style="--i:0"></div>
                                <div class="preloader__item" style="--i:1"></div>
                                <div class="preloader__item" style="--i:2"></div>
                                <div class="preloader__item" style="--i:3"></div>
                            </div>
                            <div class="c_progress_text">1/20</div>
                            <div class="c_progress">
                                <div class="progress_bar">
                                    <div id="progress_bar_progress" style="width: 100%;" class="progress_bar_progress"></div>
                                </div>
                            </div>
                        </div>
                        {% content %}
                    </div>
                </div>
            </div>
            <div class="footer bg-white py-4 d-flex flex-lg-column" id="kt_footer">
                <!--begin::Container-->
                <div class="container-fluid d-flex flex-column flex-md-row align-items-center justify-content-between">
                    <!--begin::Copyright-->
                    <div class="text-dark order-2 order-md-1">
                        2009-<?=date('Y');?> &copy; Все права защищены - <a href="https://web-vdv.ru/cms-miwix/miwix-oferta/" target="_blank" class="text-gray-800 text-hover-primary">Договор публичной оферты MIWIX</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<? if (( mb_strtolower(\g::stack()->get('route')['modules']) == 'catalog' || mb_strtolower(\g::stack()->get('route')['modules']) == 'pages') && ( isset(\g::stack()->get('route')['tpl']) && in_array(\g::stack()->get("route")['tpl'], array('tpl.editProduct','tpl.editCatalog', 'tpl.edit')))): ?>
    <div class="engage-toolbar d-flex position-fixed px-5 fw-bold zindex-2 top-50 end-0 transform-90 mt-5 mt-lg-20 gap-2">
        <button id="kt_engage_demos_toggle" class="engage-demos-toggle btn btn-flex h-35px bg-body btn-color-gray-700 btn-active-color-gray-900 shadow-sm fs-6 px-4 rounded-top-0" data-bs-toggle="tooltip" data-bs-placement="left" data-bs-dismiss="click" data-bs-trigger="hover" data-kt-initialized="1">
            <span id="kt_engage_demos_label">Галерея</span>
        </button>
        <button onclick="AddDynamicField()" class="engage-demos-toggle btn btn-flex h-35px bg-body btn-color-gray-700 btn-active-color-gray-900 shadow-sm fs-6 px-4 rounded-top-0" data-bs-toggle="tooltip" data-bs-placement="left" data-bs-dismiss="click" data-bs-trigger="hover" data-kt-initialized="1">
            <span>Добавить поле</span>
        </button>
    </div>
    <div id="kt_engage_demos" class="bg-body drawer drawer-end" data-kt-drawer="true" data-kt-drawer-name="explore" data-kt-drawer-activate="true" data-kt-drawer-overlay="true" data-kt-drawer-width="{default:'320px', 'lg': '475px'}" data-kt-drawer-direction="end" data-kt-drawer-toggle="#kt_engage_demos_toggle" data-kt-drawer-close="#kt_engage_demos_close" style="width: 475px !important;">
        <!--begin::Card-->
        <div class="card shadow-none rounded-0 w-100">
            <!--begin::Header-->
            <div class="card-header" id="kt_engage_demos_header">
                <h3 class="card-title fw-bold text-gray-700">Галерея</h3>
                <div class="card-toolbar">
                    <button type="button" class="btn btn-sm btn-icon btn-active-color-primary h-40px w-40px me-n6" id="kt_engage_demos_close">
                        <!--begin::Svg Icon-->
                        <span class="svg-icon svg-icon-2">
								<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
									<rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor"></rect>
									<rect x="7.41422" y="6" width="16" height="2" rx="1" transform="rotate(45 7.41422 6)" fill="currentColor"></rect>
								</svg>
							</span>
                        <!--end::Svg Icon-->
                    </button>
                </div>
            </div>
            <!--end::Header-->
            <!--begin::Body-->
            <div class="card-body" id="kt_engage_demos_body">
                <!--begin::Content-->
                <div id="kt_explore_scroll" class="scroll-y me-n5 pe-5" data-kt-scroll="true" data-kt-scroll-height="auto" data-kt-scroll-wrappers="#kt_engage_demos_body" data-kt-scroll-dependencies="#kt_engage_demos_header" data-kt-scroll-offset="5px" style="height: 851px;">
                    <!--begin::Wrapper-->
                    <div class="mb-0">
                        <a class="btn btn-light-primary fw-bold w-100 create-gallery-right-modal">
							<span class="svg-icon svg-icon-3">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black"></rect>
                                    <rect x="10.8891" y="17.8033" width="12" height="2" rx="1" transform="rotate(-90 10.8891 17.8033)" fill="black"></rect>
                                    <rect x="6.01041" y="10.9247" width="12" height="2" rx="1" fill="black"></rect>
                                </svg>
                            </span>
                            Создать
                        </a>
                        <div class="my-2 my-lg-0">
							<button id="clearSearch" class="clearInput">
							<span class="svg-icon svg-icon-3"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
							<rect opacity="0.9" x="7.05025" y="15.5356" width="12" height="2" rx="1" transform="rotate(-45 7.05025 15.5356)" fill="currentColor"/>
							<rect x="8.46447" y="7.05029" width="12" height="2" rx="1" transform="rotate(45 8.46447 7.05029)" fill="currentColor"/>
							</svg></span></button>
                            <input class="form-control mr-sm-2" type="text" placeholder="Поиск" aria-label="Search" name="search" id="search-gallery" value="<?=isset($_GET['search']) ? $_GET['search'] : ''?>">
                        </div>
                        <!--end::Purchase-->
                        <!--begin::Demos-->
                        <div class="mb-0 mt-5 create-gallery-right-modal-body">

                        </div>
                        <script type="text/javascript" src="/modules/Gallery/tpl/miwix_gallery.js"></script>
                        <script type="text/javascript">
						document.querySelector('#kt_engage_demos_toggle').addEventListener('click', ()=>{
                            const miwixGalleryRightWindow = new cMiwixGallery(
                                document.querySelector('.create-gallery-right-modal-body'), true, true
                            );
                            document.querySelector('.create-gallery-right-modal').addEventListener('click', ()=>{
                                miwixGalleryRightWindow.createGallery();
                            });
                            document.querySelector('#search-gallery').addEventListener('keyup', ()=> {
                                if(document.querySelector("#search-gallery").value.length >= 3 || document.querySelector("#search-gallery").value.length == 0) {
                                    miwixGalleryRightWindow.UpdateGalleryList('GET', document.querySelector("#search-gallery").value);
                                }
                            });
                            document.querySelector('#search-gallery').addEventListener('keypress', function (e) {
                                if (e.key === 'Enter') {
                                    miwixGalleryRightWindow.UpdateGalleryList('GET', document.querySelector("#search-gallery").value);
                                }
                            });
							document.getElementById("clearSearch").onclick = function(e) {
								document.getElementById("search-gallery").value = "";
								miwixGalleryRightWindow.UpdateGalleryList();
							}
						});
                        </script>
                        <!--end::Demos-->
                    </div>
                    <!--end::Wrapper-->
                </div>
                <!--end::Content-->
            </div>
            <!--end::Body-->
        </div>
        <!--end::Card-->
    </div>
<? endif; ?>
<div id="kt_scrolltop" class="scrolltop" data-kt-scrolltop="true">
    <span class="svg-icon">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
			<rect opacity="0.5" x="13" y="6" width="13" height="2" rx="1" transform="rotate(90 13 6)" fill="black"/>
			<path d="M12.5657 8.56569L16.75 12.75C17.1642 13.1642 17.8358 13.1642 18.25 12.75C18.6642 12.3358 18.6642 11.6642 18.25 11.25L12.7071 5.70711C12.3166 5.31658 11.6834 5.31658 11.2929 5.70711L5.75 11.25C5.33579 11.6642 5.33579 12.3358 5.75 12.75C6.16421 13.1642 6.83579 13.1642 7.25 12.75L11.4343 8.56569C11.7467 8.25327 12.2533 8.25327 12.5657 8.56569Z" fill="black"/>
        </svg>
	</span>
</div>
<script type="text/javascript">
    let hostUrl = "/miwix-admin/admin/assets/";
    function getSettings()
    {
        let url = '/miwix/system/getSystem';
        fetch(url, {
            method: 'POST',
            headers: {
                'x-miwix-json': 'true'
            },
        }).then(response => response.json())
            .then((l) => {
                console.log(l);
            });
    }
    function  getTextSearch()
    {
        let value = document.getElementById("search").value;
        if (value.includes('http')) {
            value = value.replace(/(\.|-|\/|\\| )/g, '-')
            value = value.replace('http', '-')
            value = value.replace(':', '-')
            value = value.replace('?', '-')
        }
        return value;
    }
    function search()
    {
        if(document.querySelector(".mainsearch").value.length >= 3) {
            if (typeof adminSearch == 'function') {
                adminSearch();
            } else {
                location.href = '/miwix/AdminSearch/search?q=' + encodeURI(getTextSearch());
            }
        }
    }
	function clearSearchForm() {
		document.querySelectorAll('.mainsearch').forEach((e) => {
			e.value = ''
		})
		document.querySelectorAll('.clearInputForm').forEach((e) => {
			e.style.display = 'none'
		})
	}
	
	document.querySelectorAll('.mainsearch').forEach(item => {
	  item.addEventListener('keyup', event => {
		let length = item.value.length;
		document.querySelectorAll('.clearInputForm').forEach((b) => {
			if (length > 0) b.style.display = 'block';
			else b.style.display = 'none'
		})	
	  })
	})	
	
	document.addEventListener("DOMContentLoaded", () => {
		setTimeout(function () {
			needUpdate()
		}, 300);
    });
    function needUpdate() {
		let data = new FormData();
		let url = '/miwix/Helper/needUpdate';
		fetch(url, {
				method: 'POST',
				headers: {
					'x-miwix-json': 'true'
				},
				body: data
		}).then(response => response.json())
		.then((l) => {
			document.getElementById("needupdate").innerHTML = '<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M21 13H15V11H21C21.6 11 22 10.6 22 10C22 9.4 21.6 9 21 9H15V3C15 2.4 14.6 2 14 2C13.4 2 13 2.4 13 3V9H11V3C11 2.4 10.6 2 10 2C9.4 2 9 2.4 9 3V9H3C2.4 9 2 9.4 2 10C2 10.6 2.4 11 3 11H9V13H3C2.4 13 2 13.4 2 14C2 14.6 2.4 15 3 15H9V21C9 21.6 9.4 22 10 22C10.6 22 11 21.6 11 21V15H13V21C13 21.6 13.4 22 14 22C14.6 22 15 21.6 15 21V15H21C21.6 15 22 14.6 22 14C22 13.4 21.6 13 21 13Z" fill="#75757c"/><path opacity="1.0" d="M16 17H8C7.4 17 7 16.6 7 16V8C7 7.4 7.4 7 8 7H16C16.6 7 17 7.4 17 8V16C17 16.6 16.6 17 16 17ZM14 10H10V14H14V10Z" fill="#' + l.data + '"/></svg>';
		});
	}
</script>
<script type="text/javascript" src="/miwix-admin/admin/assets/plugins/global/plugins.bundle.js"></script>
<script type="text/javascript" src="/miwix-admin/admin/assets/js/scripts.bundle.js"></script>
<script type="text/javascript" src="/miwix-admin/admin/assets/js/miwix-admin.js"></script>
<script type="text/javascript" src="/miwix-admin/admin/assets/plugins/custom/flatpickr/l10n/ru.js"></script>
<script type="text/javascript" src="/miwix-admin/admin/assets/js/modal.js"></script>
<script type="text/javascript">
    flatpickr.localize(flatpickr.l10ns.ru);
    async function exitAdminPanel() {
        let url = "/miwix/?exit=1";
        Swal.fire({
            text: 'Выход выполнен',
            icon: 'success',
            showConfirmButton: false,
            timer: 2500
        });
        await fetch(url, {
            method: 'GET'
        });
        location.href = "/miwix/?secret_admin=" + "<?= \g::settings('secret_admin');?>";
    }
</script>
<?php \g::tp()->printLinkModCssJs('bot');?>
</body>
</html>