<?php


namespace core\event\events;


class FileUploadEvent extends \core\event\Event {
    
    private $file;
    private $cancelled = false;
    private $path;
    
    public function __construct($file, $path) {
        $this->file = $file;
        $this->path = $path;
    }

    public function getEventName() {
        return "FileUpload";
    }
    
    public function getFile(){
        return $this->file;
    }
    
    public function setFile($file){
        $this->file = $file;
    }
    
    public function getPath(){
        return $this->path;
    }

    public function setCancelled($bool){
        $this->cancelled = $bool;
    }
    
    public function isCancelled(){
        return $this->cancelled;
    }
}
