<?php
namespace core\request;

class Files
{
	private $_stack = [];

	public function __construct() {
		if (!empty($_FILES)) {
			foreach ($_FILES as $key => $value) {
				$this->_stack[$key] = $value;
			}
		}
	}

	public function get($key = null) {
		if (is_null($key)) {
			return $this->_stack;
		}
		return isset($this->_stack[$key]) ? $this->_stack[$key] : false;
	}
}